Bug 43660 - Port update: www/dansguardian fix for lack of auto-start.
Summary: Port update: www/dansguardian fix for lack of auto-start.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Cy Schubert
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-10-04 18:10 UTC by fcash
Modified: 2002-10-20 17:03 UTC (History)
0 users

See Also:


Attachments
dansguardian-patch (1.24 KB, text/plain)
2002-10-04 18:10 UTC, fcash
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description fcash 2002-10-04 18:10:10 UTC
	DansGuardian depends on Squid in order to work; however, the dansguardian.sh script
is called before the squid.sh script at boot time, causing DansGuardian to fail.  This patch renames
the dansguardian.sh script to start-dg.sh in order for it to execute after squid.sh.
Comment 1 Cy Schubert freebsd_committer 2002-10-04 18:26:45 UTC
Responsible Changed
From-To: freebsd-ports->cy

Orignator emailed me directly to take this PR.
Comment 2 never 2002-10-04 18:36:59 UTC
Hello, fcash@lug.kamloops.net!

On Fri, Oct 04, 2002 at 11:32:58AM -0700, you wrote:

> >Number:         43660
> >Category:       ports
> >Synopsis:       Port update:  www/dansguardian fix for lack of auto-start.
[dd]
> >Description:
> 	DansGuardian depends on Squid in order to work; however, the dansguardian.sh script
> is called before the squid.sh script at boot time, causing DansGuardian to fail.  This patch renames
> the dansguardian.sh script to start-dg.sh in order for it to execute after squid.sh.
[dd]
> -+	@install -m 755 -o root -g wheel ./dansguardian.bsdv $(SYSVLOCATION)dansguardian.sh
> ++	@install -m 755 -o root -g wheel ./dansguardian.bsdv $(SYSVLOCATION)start-dg.sh
I think that common way is 000.dansguardian.sh.

-- 
NEVE-RIPE
Ukrainian FreeBSD User Group
http://uafug.org.ua/
Comment 3 Cy Schubert 2002-10-15 13:48:02 UTC
Freddie,

Freddie,would you care to comment about startup script name or alter 
your patch please. Thanks.


--
Cheers,                          Phone:  250-387-8437
Cy Schubert                        Fax:  250-387-5231
Team Leader, Sun/Alpha Team      Email:  Cy.Schubert@osg.gov.bc.ca
Open Systems Group, CITS
Ministry of Management Services
Province of BC            
                    FreeBSD UNIX:  cy@FreeBSD.org
Comment 4 Cy Schubert freebsd_committer 2002-10-15 14:07:03 UTC
State Changed
From-To: open->feedback

Require maintainer feedback on a comment made in this PR.
Comment 5 Cy Schubert 2002-10-20 01:41:28 UTC
In message <3DB18C66.28208.F714558@localhost>, "Freddie Cash" writes:
> On 19 Oct 2002 at 15:49, Cy Schubert - CITS Open Systems Group wrote:
> > In message <200210161140.47073.fcash@bigfoot.com>, Freddie Cash writes:
> > > On Tuesday 15 October 2002 05:48, you wrote:
> > > > Freddie,would you care to comment about startup script name or alter
> > > > your patch please. Thanks.
> 
> > > Not sure what I'm supposed to be commenting on.  The blurb in the PR wasn
> 't 
> > > enough??  Where do I send the info??
> 
> > > I'm at a loss here.  :)
> 
> > The comment was about the name of the startup script. It was suggested 
> > that it be called 00dansguardian.sh instead of start-dg.sh. I don't 
> > think it makes a big difference, but I wanted to hear from you before I 
> > went ahead and committed your update.
> 
> Ah, I see.  The startup script for DansGuardian has to execute *after* 
> the startup script for Squid.  Squid needs to be running before you can 
> start DansGuardian.
> 
> The way it is now, DG is started first, errors out due to being unable 
> to connect to Squid, then Squid starts.  Thus, at boot-time, 
> DansGuardian is not starting.
> 
> To rectify this, there are two options:  rename the Squid startup 
> script to execute first (000.squid.sh) or rename the DansGuardian 
> script to execute last (start-dg.sh).  As I don't control the Squid 
> port, I figured it be easiest to just rename the DG startup script.
> 
> There was a suggestion of calling the script 000.dansguardian.sh, but 
> that defeats the purpose and results in the status quo.  There was 
> another suggestion of z00.dansguardian.sh, which would work, but looks 
> just horrible to me.  I prefer start-dg.sh, as it looks nice and still 
> shows which daemon is being controlled.  However, I am open to 
> suggestions.
> 
> Cheers,
> Freddie
> fcash@Bigfoot.com

Freddie, I will commit with start-dg.sh and put a comment in the 
commitlog to document why we are doing so.

Thanks for answering the question.

I've cc'd GNATS so we have a record of this in the GNATS database.


--
Cheers,                          Phone:  250-387-8437
Cy Schubert                        Fax:  250-387-5231
Team Leader, Sun/Alpha Team      Email:  Cy.Schubert@osg.gov.bc.ca
Open Systems Group, CITS
Ministry of Management Services
Province of BC            
                    FreeBSD UNIX:  cy@FreeBSD.org
Comment 6 Cy Schubert freebsd_committer 2002-10-20 17:01:11 UTC
State Changed
From-To: feedback->closed

Committed. Thanks.